Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class MethodAttributesTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.MethodAttributesTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodAttributesType<T>

    public class MethodAttributesTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, MethodAttributesType<T>

This class implements the `method-attributesType` xsd type

Original Documentation:

The method-attributes element can be used to specify which methods are
read only or idempotent. This is used to reduce the need for locks and replication.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`MethodAttributesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`MethodAttributesTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<MethodType<MethodAttributesType<T>>>` | `getMethodList()` Returns all `method` elements
`MethodType<MethodAttributesType<T>>` | `method()` Returns the `method` element
`MethodAttributesType<T>` | `removeAllMethod()` Removes all `method` elements
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodAttributesTypeImpl

    public MethodAttributesTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### MethodAttributesTypeImpl

    public MethodAttributesTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllMethod

    public MethodAttributesType<T> removeAllMethod()

  Removes all `method` elements

  Specified by:
    `removeAllMethod` in interface `MethodAttributesType<T>`
  Returns:
    the current instance of `MethodAttributesType`

### method

    public MethodType<MethodAttributesType<T>> method()

  Returns the `method` element

  Specified by:
    `method` in interface `MethodAttributesType<T>`
  Returns:
    the node defined for the element `method`

### getMethodList

    public java.util.List<MethodType<MethodAttributesType<T>>> getMethodList()

  Returns all `method` elements

  Specified by:
    `getMethodList` in interface `MethodAttributesType<T>`
  Returns:
    list of `method`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD